<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts PUBLIC
        "-//Apache Software Foundation//DTD Struts Configuration 2.0//EN"
        "http://struts.apache.org/dtds/struts-2.0.dtd">

<struts>
     <package name="operatorAuxiliary" extends="struts-default" abstract="true" >
         <result-types>
             <result-type name="tiles" class="org.apache.struts2.views.tiles.TilesResult" />
         </result-types>

         <interceptors>
             <interceptor name="authentication" class="en.dlink.action.operator.interceptor.OperatorAuthenticationInterceptor"/>
             <interceptor-stack name="privateStack">
                 <interceptor-ref name="authentication"/>
                 <interceptor-ref name="defaultStack"/>
             </interceptor-stack>
         </interceptors>
         <default-interceptor-ref name="privateStack"/>
         <global-results>
             <result name="error" type="redirect">error.action</result>
             <result name="login" type="redirect" >main.action</result>
         </global-results>
     </package>
</struts>